Description

If you search for a number in the search box it takes you directly to the issue id if there is an issue id for that number.

It should take you to a results page if there are search results that match that number

I've created the scenario on the demo site

http://demo.redmine.org/projects/search-issue/issues

The first issue is created and the issue id is 80815

The second issue is created and subject is set to 'Subject contains 80815'

Using the search box if you enter in 80815 it will take you directly to Issue 80815 instead of showing a results page for both issues.

I know that you can wrap the text in the search box with quotes such as "80815" which will then bring up a search results page with

only the second issue, but should it not also contain the first issue in those results?

I'm also not sure why you should even have to wrap the search text in quotes to get it to search for text anyways.

I'm not sure what version the demo site is, but here is the info page from our Redmine instance

Environment:

  Redmine version                2.6.1.stable

  Ruby version                   2.0.0-p451 (2014-02-24) [x86_64-linux]

  Rails version                  3.2.21

  Environment                    production

  Database adapter               PostgreSQL

SCM:

  Git                            1.9.1

  Filesystem                     

Redmine plugins:

  redmine_dmsf                   1.4.8 stable

 Let me know if I'm doing something wrong or if more information is needed

History

#1 - 2015-02-18 17:20 - Jean-Philippe Lang

- Status changed from New to Closed

- Resolution set to Invalid

I'm closing it as it works like this by design (see r489), the search box can be used as a shortcut for going to an issue when entering its id.

#2 - 2015-02-18 17:28 - Jean-Philippe Lang

I know that you can wrap the text in the search box with quotes such as "80815" which will then bring up a search results page with only the

second issue, but should it not also contain the first issue in those results?

 The text search is done on the subject and description of issues, not their ids.
http://demo.redmine.org/projects/search-issue/issues
https://www.redmine.org/projects/redmine/repository/svn/revisions/489


#3 - 2015-02-18 17:49 - Tyghe Vallard

Since when did a search box inherently mean something other than search for text within the context that you are searching?

Considering that I've had multiple people ask me why when they perform this similar search and it goes directly to an issue instead of bringing up an

expected search results page, I'd say that this should be at least up for community discussion instead of just closing the issue.

Another issue is that even if the issue subject is 080815 and you search for 080815 then the second issue will still be displayed even though the issue

id is 80815.

This seems like a design flaw since most people see a search box as just that, search for this text not search for this issue id. Why put special logic in

that goes against an expected behaviour?

While I understand that searching for issue id's is very useful(and I use that functionality a lot), it seems that a person could just as easy type the

issue id into the url as opposed to having the search box do that functionality specifically.
